<div class="title">
  <h2>{{title}}</h2>
</div>
<div class="mat-elevation-z8">
  <table mat-table matSort [dataSource]="dataSource">

    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>

    <ng-container matColumnDef="age">
      <th mat-header-cell *matHeaderCellDef class="center" mat-sort-header> Edad </th>
      <td mat-cell *matCellDef="let element" class="center"> {{element.age}} </td>
    </ng-container>

    <ng-container matColumnDef="gender">
      <th mat-header-cell *matHeaderCellDef class="center" mat-sort-header> Sexo </th>
      <td mat-cell *matCellDef="let element" class="center"> {{element.gender}} </td>
    </ng-container>

    <ng-container matColumnDef="file">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Documento </th>
      <td mat-cell *matCellDef="let element"> {{element.file}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>
<mat-card>
  <h3>Agregar Persona</h3>
  <form class="formulario" [formGroup]="personForm">
    <mat-grid-list cols="1" rowHeight="70px" gutterSize="0px">
      <mat-grid-tile>
        <mat-form-field appearance="outline">
          <mat-label>Nombre</mat-label>
          <input matInput placeholder="Nombre" formControlName="name" maxlength="100">
          <button type="button" mat-button *ngIf="personForm.controls['name'].value" matSuffix mat-icon-button
            aria-label="Borrar" (click)="personForm.controls['name'].reset()">
            <mat-icon>close</mat-icon>
          </button>
          <mat-error *ngIf="personForm.controls['name'].invalid">{{getErrorMessage('name')}}</mat-error>
        </mat-form-field>
      </mat-grid-tile>

      <mat-grid-tile>
        <mat-form-field>
          <ngx-mat-file-input formControlName="file" class="fileupload"></ngx-mat-file-input>
          <mat-error *ngIf="personForm.controls['file'].invalid">{{getErrorMessage('file')}}</mat-error>
        </mat-form-field>
      </mat-grid-tile>

      <mat-grid-tile>
        <button mat-raised-button color="primary" (click)="onSave()">Guardar</button>
      </mat-grid-tile>

    </mat-grid-list>
  </form>
</mat-card>
